Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1898469 - NRPE not starting at boot on physical servers
Summary: NRPE not starting at boot on physical servers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nrpe
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Jan ONDREJ
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-17 08:55 UTC by Peter Vreman
Modified: 2021-03-27 00:42 UTC (History)
7 users (show)

Fixed In Version: nrpe-4.0.3-6.fc33 nrpe-4.0.3-6.fc32 nrpe-4.0.3-6.el8 nrpe-4.0.3-6.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-19 18:49:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Peter Vreman 2020-11-17 08:55:10 UTC
Description of problem:
On some physical servers the network interfaces need more time to initiliaze and bring them online.
Currently nrpe systemd unit has only 'network.target' which does not mean that all interfaces are up. In case nrpe is defined to listen only a the specified ip addresses the required network inteface might not be available yet.

Fix is to use network-online.target instead of network.target

--------
--- /usr/lib/systemd/system/nrpe.service.old
+++ /usr/lib/systemd/system/nrpe.service
@@ -1,7 +1,7 @@
 [Unit]
 Description=Nagios Remote Plugin Executor
 Documentation=http://www.nagios.org/documentation
-After=var-run.mount nss-lookup.target network.target local-fs.target time-sync.target
+After=var-run.mount nss-lookup.target network-online.target local-fs.target time-sync.target
 Before=getty plymouth-quit.service xdm.service
 Conflicts=nrpe.socket
-------------

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Physical server with multiple NICs that are need time initialize, known server that is reliable slow is a HPE MC990
2. Configure in nrpe.cfg the server_address to bind only to the specified ip address
3. reboot server

Actual results:
nrpe service failed to start after boot

Expected results:
npre service is running after boot


Additional info:
The old BZ for nrpe 3.0.2 https://bugzilla.redhat.com/show_bug.cgi?id=1546264 also mentions this issue that 'network-online.target' is needed but not that it had to be in the After= line

Issue also applies to both RHEL7 and RHEL8

Comment 1 Fedora Admin user for bugzilla script actions 2021-02-17 12:05:43 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 3 Fedora Update System 2021-03-11 14:42:11 UTC
FEDORA-2021-04fa045d23 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-04fa045d23

Comment 4 Fedora Update System 2021-03-11 14:53:50 UTC
FEDORA-2021-608b88faa7 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-608b88faa7

Comment 5 Fedora Update System 2021-03-11 18:05:52 UTC
FEDORA-EPEL-2021-52425efa64 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-52425efa64

Comment 6 Fedora Update System 2021-03-11 18:17:53 UTC
FEDORA-EPEL-2021-f8025180be has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-f8025180be

Comment 7 Fedora Update System 2021-03-12 00:18:22 UTC
FEDORA-EPEL-2021-52425efa64 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-52425efa64

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-03-12 00:19:29 UTC
FEDORA-2021-04fa045d23 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-04fa045d23`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-04fa045d23

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-03-12 00:21:38 UTC
FEDORA-2021-608b88faa7 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-608b88faa7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-608b88faa7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-03-12 00:27:47 UTC
FEDORA-EPEL-2021-f8025180be has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-f8025180be

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-03-19 18:49:13 UTC
FEDORA-2021-04fa045d23 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-03-19 18:52:28 UTC
FEDORA-2021-608b88faa7 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-03-27 00:29:46 UTC
FEDORA-EPEL-2021-52425efa64 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-03-27 00:42:27 UTC
FEDORA-EPEL-2021-f8025180be has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.